Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleBeanRemoteContainer

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  AblePlatformAgent, AbleRemoteAgent, AutotuneAgentIf, JasKnnDistributedAgentIF, JasNaiveBayesDistributedAgentIF

All Known Implementing Classes:
  AblePlatformDefaultAgent, AbleRemoteDefaultAgent, AutotuneAgent, JasKnnDistributedAgent, JasNaiveBayesDistributedAgent

public interface AbleBeanRemoteContainer
extends java.rmi.Remote

The AbleBeanRemoteContainer interface defines behavior for remote ABLE objects that can contain multiple local AbleBean objects.

Method Summary
`void` | `addBean(AbleBean theAbleBean)` Adds a bean to this container.
`boolean` | `containsBean(AbleBean theAbleBean)` Indicates if a specific bean is contained is present.
`boolean` | `containsBean(java.lang.String theName)` Indicates if a bean with a specific name is present.
`AbleBean` | `getBean(java.lang.String theName)` Returns a bean with a specific name from this container.
`java.util.Vector` | `getBeans()` Returns a list of all contained beans.
`void` | `removeAllBeans()` Removes all beans from this container.
`void` | `removeBean(AbleBean theAbleBean)` Removes a bean from this container, and sets the bean's parent to `null`.
`void` | `removeBean(java.lang.String theName)` Removes a bean from this container using the bean's name as a key.

Method Detail

### addBean

    public void addBean(AbleBean theAbleBean)
                 throws java.rmi.RemoteException

  Adds a bean to this container.

  Parameters:
    `theAbleBean` - A bean that is to be added to this container. If the specified bean is already present, the implementation may choose to throw an exception.

  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### removeBean

    public void removeBean(AbleBean theAbleBean)
                    throws java.rmi.RemoteException

  Removes a bean from this container, and sets the bean's parent to `null`.

  Parameters:
    `theAbleBean` - A bean that is to be removed from this container. If the specified bean is not present, the implementor may either throw an exception or ignore the request as desired.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### removeBean

    public void removeBean(java.lang.String theName)
                    throws java.rmi.RemoteException

  Removes a bean from this container using the bean's name as a key. Sets the bean's parent to `null`.

  Parameters:
    `theName` - The specific name of a bean to be removed from this container. If the specified bean is not present, the implementor may either throw an exception or ignore the request as desired.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### removeAllBeans

    public void removeAllBeans()
                        throws java.rmi.RemoteException

  Removes all beans from this container. Sets each bean's parent to `null`.

  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### containsBean

    public boolean containsBean(AbleBean theAbleBean)
                         throws java.rmi.RemoteException

  Indicates if a specific bean is contained is present. The determination is done by using AbleBean equality.

  Parameters:
    `theAbleBean` - A bean that to find in this container.

  Returns:
    true if the specific bean is present, false otherwise.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### containsBean

    public boolean containsBean(java.lang.String theName)
                         throws java.rmi.RemoteException

  Indicates if a bean with a specific name is present. The determination is done by comparing bean names.

  Parameters:
    `theName` - The specific name of a bean to find in this container.

  Returns:
    true if the named bean is present, false otherwise.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### getBean

    public AbleBean getBean(java.lang.String theName)
                     throws java.rmi.RemoteException

  Returns a bean with a specific name from this container.

  Parameters:
    `theName` - The specific name of a bean to be returned.
  Returns:
    A reference to the found bean, or null if the bean is not contained.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### getBeans

    public java.util.Vector getBeans()
                              throws java.rmi.RemoteException

  Returns a list of all contained beans.

  Returns:
    All contained beans. Note that the result may be empty, and that there is no implied order to the list elements.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005